-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Servidor: localhost
-- Tiempo de generación: 03-01-2012 a las 16:09:54
-- Versión del servidor: 5.5.8
-- Versión de PHP: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `projecte`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `esdeveniment`
--

CREATE TABLE IF NOT EXISTS `esdeveniment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(255) NOT NULL,
  `data_esdeveniment` date DEFAULT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  `descripcio` varchar(500) NOT NULL,
  `id_usuari` int(11) DEFAULT NULL,
  `data_creacio` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `esdeveniment`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `esdeveniment_grup`
--

CREATE TABLE IF NOT EXISTS `esdeveniment_grup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_grup` int(11) DEFAULT NULL,
  `id_esdeveniment` int(11) DEFAULT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `esdeveniment_grup`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `esdeveniment_tasca`
--

CREATE TABLE IF NOT EXISTS `esdeveniment_tasca` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_tasca` int(11) DEFAULT NULL,
  `id_esdeveniment` int(11) DEFAULT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `esdeveniment_tasca`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `esdeveniment_usuari`
--

CREATE TABLE IF NOT EXISTS `esdeveniment_usuari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_usuari` int(11) DEFAULT NULL,
  `id_esdeveniment` int(11) DEFAULT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `esdeveniment_usuari`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `estat`
--

CREATE TABLE IF NOT EXISTS `estat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Volcar la base de datos para la tabla `estat`
--

INSERT INTO `estat` (`id`, `nom`) VALUES
(1, 'eliminada'),
(2, 'no iniciada'),
(3, 'iniciada'),
(4, 'finalitzada');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `grup`
--

CREATE TABLE IF NOT EXISTS `grup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(255) NOT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `grup`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `info_usuari_tasca`
--

CREATE TABLE IF NOT EXISTS `info_usuari_tasca` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `comentaris` varchar(255) NOT NULL,
  `id_estat` int(11) DEFAULT NULL,
  `id_usuari` int(11) DEFAULT NULL,
  `id_tasca` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `info_usuari_tasca`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `llegit`
--

CREATE TABLE IF NOT EXISTS `llegit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_usuari` int(11) DEFAULT NULL,
  `id_missatge` int(11) DEFAULT NULL,
  `llegit` tinyint(1) NOT NULL DEFAULT '0',
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

--
-- Volcar la base de datos para la tabla `llegit`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `missatge`
--

CREATE TABLE IF NOT EXISTS `missatge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `missatge` varchar(500) NOT NULL,
  `id_usuari_emisor` int(11) DEFAULT NULL,
  `data_hora` datetime DEFAULT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  `id_usuari_receptor` int(11) DEFAULT NULL,
  `id_grup` int(11) DEFAULT NULL,
  `id_tasca` int(11) DEFAULT NULL,
  `id_esdeveniment` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `missatge`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `prioritat`
--

CREATE TABLE IF NOT EXISTS `prioritat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;

--
-- Volcar la base de datos para la tabla `prioritat`
--

INSERT INTO `prioritat` (`id`, `nom`) VALUES
(4, 'baixa'),
(5, 'normal'),
(6, 'alta');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tasca`
--

CREATE TABLE IF NOT EXISTS `tasca` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(255) NOT NULL,
  `data_inici` date DEFAULT NULL,
  `data_fi` date DEFAULT NULL,
  `id_prioritat` int(11) DEFAULT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `tasca`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tasca_grup`
--

CREATE TABLE IF NOT EXISTS `tasca_grup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_tasca` int(11) DEFAULT NULL,
  `id_grup` int(11) DEFAULT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `tasca_grup`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tasca_usuari`
--

CREATE TABLE IF NOT EXISTS `tasca_usuari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_tasca` int(11) DEFAULT NULL,
  `id_usuari` int(11) DEFAULT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=11 ;

--
-- Volcar la base de datos para la tabla `tasca_usuari`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuari`
--

CREATE TABLE IF NOT EXISTS `usuari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usuari` varchar(50) NOT NULL,
  `contrasenya` varchar(50) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `llinatges` varchar(50) DEFAULT NULL,
  `email` varchar(50) NOT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `usuari` (`usuari`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=14 ;

--
-- Volcar la base de datos para la tabla `usuari`
--

INSERT INTO `usuari` (`id`, `usuari`, `contrasenya`, `nom`, `llinatges`, `email`, `eliminat`) VALUES
(5, 'user5', 'user5', 'jose5', 'roig5', 'joseroigtorres@gmail.com', 0),
(6, 'user6', 'user6', 'jose6', 'roig6', 'joseroigtorres@gmail.com', 0),
(7, 'user7', 'user7', 'jose7', 'roig7', 'joseroigtorres@gmail.com', 0),
(8, 'user8', 'user8', 'jose8', 'roig8', 'joseroigtorres@gmail.com', 0),
(9, 'user9', 'user9', 'jose9', 'roig9', 'joseroigtorres@gmail.com', 0),
(10, 'user10', 'user10', 'jose10', 'roig10', 'joseroigtorres@gmail.com', 0);

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuari_grup`
--

CREATE TABLE IF NOT EXISTS `usuari_grup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_usuari` int(11) DEFAULT NULL,
  `id_grup` int(11) DEFAULT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `usuari_grup`
--


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuari_usuari`
--

CREATE TABLE IF NOT EXISTS `usuari_usuari` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_usuari_principal` int(11) DEFAULT NULL,
  `id_usuari_contacte` int(11) DEFAULT NULL,
  `eliminat` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Volcar la base de datos para la tabla `usuari_usuari`
--

