<?
/**
*    Codi index.php
*
*    @autor Jose Roig Torres
*
*    @tasca projecte de fi de carrera
*
*    @universitat Universitat Oberta de Catalunya
*
*    @area aplicacions web per treball col·laboratiu
*
*    @tema disseny i prototipatge d'un sistema d'esdeveniments per a dispositius mòbils de treball en grup
*/

/*
COMENTARIS:
	asegurase que cuando se entre poniendo url, si no esta logeado, no pueda acceder
*/

////////////////////////
// CARREGA DE PAQUETS //
////////////////////////
	
	//llibreries php
	include_once('configuration.php');
	include_once('libraries/php/nok_template.php');
	include_once('libraries/php/url_helper.php');
	//include_once('libraries/php/calendar.php');

////////////////////////
// VARIABLES GENERALS //
////////////////////////

	//carregam la configuració
	$config=new Configuration();
	
	//preparem helper de la url
	$url_helper=new Url_helper();

/////////////////////////
// PREPAREM PLANTILLES //
/////////////////////////

	//preparam gestor de plantillas
	$html = new NokTemplate("src/presentation");

	//plantillas usades
	$llista_plantilles = array();
	$llista_plantilles[] = "p_login_usuari";
	$llista_plantilles[] = "p_inici_usuari";
	$llista_plantilles[] = "p_registre_usuari";
	$llista_plantilles[] = "p_llista_contactes";
	$llista_plantilles[] = "p_cercar_contacte";
	$llista_plantilles[] = "p_detall_contacte";
	$llista_plantilles[] = "p_llista_grups";
	$llista_plantilles[] = "p_afegir_grup";
	$llista_plantilles[] = "p_detall_grup";
	$llista_plantilles[] = "p_llista_tasques";
	$llista_plantilles[] = "p_afegir_tasca";
	$llista_plantilles[] = "p_detall_tasca";
	$llista_plantilles[] = "p_afegir_esdeveniment";
	$llista_plantilles[] = "p_llista_esdeveniments";
	$llista_plantilles[] = "p_afegir_esdeveniment_grup";
	$llista_plantilles[] = "p_afegir_esdeveniment_tasca";
	$llista_plantilles[] = "p_afegir_esdeveniment_contacte";
	$llista_plantilles[] = "p_editar_dades_usuari";
	
	//obtenim les plantilles actuals
	$plantilla=$url_helper->donar_plantilla();
	if($plantilla==""){
		//carregam variables de plantilla login
		$plantilla="p_login_usuari";
		$directori_plantilla="usuari/p_login_usuari.html";
	}else if (in_array($plantilla, $llista_plantilles)){
		//tenim una plantilla correcte
		$directori_plantilla=$url_helper->donar_ruta_plantilla_nok();
	}else{
		//al no ser cap plantilla coneguda carreguem la plantilla derror
		$plantilla="p_error";
		$directori_plantilla="p_error.html";
	}

//////////////////////
// PREPAREM TASQUES //
//////////////////////
	
	//miram si s'ha produit un error de plantilla
	if($plantilla!="p_error"){
	
		//tasques usades
		$llista_tasques = array();
		$llista_tasques[] = "login_usuari";
		$llista_tasques[] = "logout_usuari";
		$llista_tasques[] = "inici_usuari";
		$llista_tasques[] = "registre_usuari";
		$llista_tasques[] = "llista_contactes";
		$llista_tasques[] = "cercar_contacte";
		$llista_tasques[] = "afegir_contacte";
		$llista_tasques[] = "borrar_contacte";
		$llista_tasques[] = "afegir_missatge_contacte";
		$llista_tasques[] = "detall_contacte";
		$llista_tasques[] = "borrar_grup";
		$llista_tasques[] = "afegir_grup";
		$llista_tasques[] = "llista_grups";
		$llista_tasques[] = "dades_afegir_grup";
		$llista_tasques[] = "detall_grup";
		$llista_tasques[] = "afegir_missatge_grup";
		$llista_tasques[] = "borrar_tasca";
		$llista_tasques[] = "afegir_tasca";
		$llista_tasques[] = "llista_tasques";
		$llista_tasques[] = "dades_afegir_tasca";
		$llista_tasques[] = "detall_tasca";
		$llista_tasques[] = "afegir_missatge_tasca";
		$llista_tasques[] = "afegir_esdeveniment";
		$llista_tasques[] = "dades_afegir_esdeveniment";
		$llista_tasques[] = "llista_esdeveniments";
		$llista_tasques[] = "afegir_esdeveniment_contacte";
		$llista_tasques[] = "afegir_esdeveniment_grup";
		$llista_tasques[] = "afegir_esdeveniment_tasca";
		$llista_tasques[] = "dades_afegir_esdeveniment_contacte";
		$llista_tasques[] = "dades_afegir_esdeveniment_grup";
		$llista_tasques[] = "dades_afegir_esdeveniment_tasca";
		$llista_tasques[] = "editar_tasca";
		$llista_tasques[] = "dades_editar_dades_usuari";
		$llista_tasques[] = "editar_dades_usuari";
		
		//obtenim dades tasca actual
		$tasca=$url_helper->donar_tasca();
		$familia_tasca=$url_helper->donar_familia_tasca();
		
		//carregam paquet de tasca actual
		include_once('src/bussiness/'.$familia_tasca.'/b_'.$familia_tasca.'.php');
		
		//tractem tasca
		if($tasca==""){
			$tasca="";
		}else if(in_array($tasca, $llista_tasques)){
			
			//comprovem si la tasca es una de les tasques inicials
			if($tasca=="login_usuari" or $tasca=="registre_usuari"){
				//es una tasca inicial
			
				//tenim una tasca correcte i la executem
				eval("
				\$tasca_auxiliar=new B_".$familia_tasca."(\$html); 
				\$tasca_auxiliar->".$tasca."();
				");
			
			}else{
				//no es una tasca inicial
				
				//comprovem si s'ha iniciat sessió
				session_start();
				if($_SESSION["id_usuari"]!=""){
					//s'ha iniciat sessio
					
					//tenim una tasca correcte i la executem
					eval("
					\$tasca_auxiliar=new B_".$familia_tasca."(\$html); 
					\$tasca_auxiliar->".$tasca."();
					");
					
				}else{
					//no s'ha iniciat sessio
					
					$plantilla="p_error";
					$directori_plantilla="p_error.html";
					
				}
				
			}
		}else{
			//al no ser cap tasca coneguda mostrem error
			$plantilla="p_error";
			$directori_plantilla="p_error.html";
		}
	
	}
	
///////////////////////////////////////
// CARREGAM PLANTILLES SELECCIONADES //
///////////////////////////////////////

	//carreguem plantilla del cos
	$html->cargar("p_cos","p_cos.html");
	//carreguem plantilla interior
	$html->cargar($plantilla,$directori_plantilla);
	
////////////////////////////////
// CARREGAM VARIABLES DEL COS //
////////////////////////////////
	
	//carregam titol
	$html->asignar("TITOL","Projecte UOC"); 
	//carregam els estils
	$html->asignar("ESTILS",'
	<link href="src/presentation/css/calendari.css" rel="stylesheet" type="text/css">
	<link href="src/presentation/css/jquery.mobile-1.0rc4.min.css" rel="stylesheet" type="text/css">
	<link href="src/presentation/css/jquery.ui.datepicker.mobile.css" rel="stylesheet" type="text/css">
	<link href="src/presentation/css/jquery.mobile.customization.css" rel="stylesheet" type="text/css">
	<link href="src/presentation/css/estils.css" rel="stylesheet" type="text/css">
	'); 
	//carregam els scripts
	$html->asignar("SCRIPTS",'
	<script type="text/javascript" src="libraries/js/jquery-1.6.4.js"></script>
	<script type="text/javascript" src="libraries/js/jquery.validate.js"></script>
	<script type="text/javascript" src="libraries/js/jQuery.ui.datepicker.js"></script>
	<script type="text/javascript" src="libraries/js/jquery.ui.datepicker.mobile.js"></script>
	<script type="text/javascript" src="libraries/js/jquery.mobile-1.0.js"></script>
	<script type="text/javascript" src="libraries/js/web.js"></script>
	');

///////////////////////
// MOSTREM CONTINGUT //
///////////////////////

	//mirem si volem executar nomes una tasca
	if($_GET["tasca"]!="" and !isset($_GET["plantilla"]) and $plantilla!="p_error"){
		//tenim nomes tasca per el que no volem mostrar contingut
	 
	}else{
		//tenim plantilla y tasca o només plantilla, per el que mostrem el contingut
		
		//	expandim contingut total
		$html->expandir("CONTINGUT", $plantilla);
		$html->expandir("FINAL", "p_cos");
		
		//	mostram contingut
		$html->imprimir("FINAL");
		
	}

?>
