<?
/**
*    Codi clase Url_helper.php
*
*    @autor Jose Roig Torres
*
*    @tasca projecte de fi de carrera
*
*    @universitat Universitat Oberta de Catalunya
*
*    @area aplicacions web per treball col·laboratiu
*
*    @tema disseny i prototipatge d'un sistema d'esdeveniments per a dispositius mòbils de treball en grup
*/

//clase que contindra les variables de configuracio de la web
include_once('configuration.php');

class Url_helper {
	
	//variables de clase
	var $tasca;
	var $ruta_tasca;
	var $plantilla;
	var $ruta_plantilla;
	var $config;
	
	//constructor
	function Url_helper(){
		$this->config=new Configuration();
	}
	
	//obtenir plantilla
	function donar_plantilla(){
		$plantilla=$_GET["plantilla"];
		if($plantilla!=""){
			$aux=str_replace(".","/",$plantilla);
			$array=explode("/",$aux);
			return $array[count($array)-1];
		}else{
			return "";
		}
	}
	
	//obtenir tasca
	function donar_tasca(){
		$tasca=$_GET["tasca"];
		if($tasca!=""){
			$aux=str_replace(".","/",$tasca);
			$array=explode("/",$aux);
			return $array[count($array)-1];
		}else{
			return "";
		}
	}
	
	//obtenir path plantilla
	function donar_ruta_plantilla(){
		$ruta_plantilla=$_GET["plantilla"];
		if($ruta_plantilla!=""){
			$aux=str_replace(".","/",$ruta_plantilla);
			$aux=$aux.".html";
			return $this->config->template_root.$aux;
		}else{
			return "";
		}
	}
	
	//obtenir path tasca
	function donar_ruta_tasca(){
		$ruta_tasca=$_GET["tasca"];
		if($ruta_tasca!=""){
			$aux=str_replace(".","/",$ruta_tasca);
			$aux=$aux.".php";
			return $this->config->task_root.$aux;
		}else{
			return "";
		}
	}
	
	//obtenir familia tasca
	function donar_familia_tasca(){
		$ruta_tasca=$_GET["tasca"];
		if($ruta_tasca!=""){
			$aux=str_replace(".","/",$ruta_tasca);
			$array=explode("/",$aux);
			return $array[0];
		}else{
			return "";
		}
	}
	
	//obtenir path plantilla per nok template
	function donar_ruta_plantilla_nok(){
		$ruta_plantilla=$_GET["plantilla"];
		if($ruta_plantilla!=""){
			$aux=str_replace(".","/",$ruta_plantilla);
			$aux=$aux.".html";
			return $aux;
		}else{
			return $aux;
		}
	}
	
	//obtenir path plantilla per nok template
	function provar_funcionalitats(){
		echo("familia tasca: ".$this->donar_familia_tasca()."<br/>");
		echo("nom tasca: ".$this->donar_tasca()."<br/>");
		echo("ruta tasca: ".$this->donar_ruta_tasca()."<br/>");
		echo("nom plantilla: ".$this->donar_plantilla()."<br/>");
		echo("ruta plantilla: ".$this->donar_ruta_plantilla()."<br/>");
		echo("ruta plantilla nok: ".$this->donar_ruta_plantilla_nok()."<br/>");
	}
	
}
?>
