<?
/**
*    Codi clase I_esdeveniment.php
*
*    @autor Jose Roig Torres
*
*    @tasca projecte de fi de carrera
*
*    @universitat Universitat Oberta de Catalunya
*
*    @area aplicacions web per treball col·laboratiu
*
*    @tema disseny i prototipatge d'un sistema d'esdeveniments per a dispositius mòbils de treball en grup
*/

//clase que contindra les variables de configuracio de la web
include_once('configuration.php');

class I_esdeveniment {
	
	//variables de clase
	var $id;
	var $nom;
	var $data_esdeveniment;
	var $eliminat;
	var $descripcio;
	var $id_usuari;
	var $data_creacio;
	
	//constructor
	function I_esdeveniment(){

	}
	
	//carregar objecte mitjançant objecte mysql
	function carregar_dades_per_objecte_mysql($esdeveniment){
		$this->id=$esdeveniment->id;
		$this->nom=$esdeveniment->nom;
		$this->data_esdeveniment=$esdeveniment->data_esdeveniment;
		$this->eliminat=$esdeveniment->eliminat;
		$this->descripcio=$esdeveniment->descripcio;
		$this->id_usuari=$esdeveniment->id_usuari;
		$this->data_creacio=$esdeveniment->data_creacio;
	}
	
	//carregar objecte mitjançant id
	function carregar_dades_per_id($id){
		
		//busquem lusuari demanat
		$connect=new Db_connection();
		$connect->connect();
		$connect->set_query("SELECT * FROM esdeveniment WHERE id='".$id."'");
		$llista=$connect->get_object_list();
		if(count($llista)>=1){
			//existeix
			$this->carregar_dades_per_objecte_mysql($llista[0]);

		}else{
			//no existeix
		}

	}
	
	//guardam lusuari
	function guardar_dades(){
		
		//mirem si diposa de id
		if(isset($this->id)){
			//disposa de id

			//insertam en cas de que sigui posible
			$connect=new Db_connection();
			$connect->connect();
			$connect->set_query("INSERT IGNORE INTO esdeveniment (id, nom, data_esdeveniment, eliminat, descripcio, id_usuari, data_creacio) VALUES ('".$this->id."','".$this->nom."','".$this->data_esdeveniment."',0, '".$this->descripcio."', '".$this->id_usuari."', '".$this->data_creacio."')");	
			
			return $this->id;
			
		}else{
			//no disposa de id
			
			//insertam en cas de que sigui posible
			$connect=new Db_connection();
			$connect->connect();
			$connect->set_query("INSERT IGNORE INTO esdeveniment (nom, data_esdeveniment, eliminat, descripcio, id_usuari, data_creacio) VALUES ('".$this->nom."','".$this->data_esdeveniment."',0 ,'".$this->descripcio."', '".$this->id_usuari."', '".$this->data_creacio."')");
			$id_usat=$connect->get_last_insert_id();

			return $id_usat;
			
		}
		
	}
	
}
?>
