<?
/**
*    Codi clase I_missatge.php
*
*    @autor Jose Roig Torres
*
*    @tasca projecte de fi de carrera
*
*    @universitat Universitat Oberta de Catalunya
*
*    @area aplicacions web per treball col·laboratiu
*
*    @tema disseny i prototipatge d'un sistema d'esdeveniments per a dispositius mòbils de treball en grup
*/

//clase que contindra les variables de configuracio de la web
include_once('configuration.php');

class I_missatge {
	
	//variables de clase
	var $id;
	var $missatge;
	var $id_usuari_emisor;
	var $data_hora;
	var $eliminat;
	var $id_usuari_receptor;
	var $id_grup;
	var $id_tasca;
	var $id_esdeveniment;
	
	//constructor
	function I_missatge(){

	}
	
	//carregar objecte mitjançant objecte mysql
	function carregar_dades_per_objecte_mysql($missatge){
		$this->id=$missatge->id;
		$this->missatge=$missatge->missatge;
		$this->id_usuari_emisor=$missatge->id_usuari_emisor;
		$this->data_hora=$missatge->data_hora;
		$this->eliminat=$missatge->eliminat;
		$this->id_usuari_receptor=$missatge->id_usuari_receptor;
		$this->id_grup=$missatge->id_grup;
		$this->id_tasca=$missatge->id_tasca;
		$this->id_esdeveniment=$missatge->id_esdeveniment;
	}
	
	//carregar objecte mitjançant id
	function carregar_dades_per_id($id){
		
		//busquem lusuari demanat
		$connect=new Db_connection();
		$connect->connect();
		$connect->set_query("SELECT * FROM missatge WHERE id='".$id."'");
		$llista=$connect->get_object_list();
		if(count($llista)>=1){
			//existeix
			$this->carregar_dades_per_objecte_mysql($llista[0]);

		}else{
			//no existeix
		}

	}
	
	//guardam lusuari
	function guardar_dades(){
		
		//mirem si diposa de id
		if(isset($this->id)){
			//disposa de id

			//insertam en cas de que sigui posible
			$connect=new Db_connection();
			$connect->connect();
			$connect->set_query("INSERT IGNORE INTO missatge (id, missatge, id_usuari_emisor, data_hora, eliminat, id_usuari_receptor, id_grup, id_tasca, id_esdeveniment) VALUES ('".$this->id."','".$this->missatge."','".$this->id_usuari_emisor."','".$this->data_hora."',0 ,'".$this->id_usuari_receptor."', '".$this->id_grup."', '".$this->id_tasca."', '".$this->id_esdeveniment."')");	
			
			return $this->id;
			
		}else{
			//no disposa de id
			
			//insertam en cas de que sigui posible
			$connect=new Db_connection();
			$connect->connect();
			$connect->set_query("INSERT IGNORE INTO missatge (missatge, id_usuari_emisor, data_hora, eliminat, id_usuari_receptor, id_grup, id_tasca, id_esdeveniment) VALUES ('".$this->missatge."','".$this->id_usuari_emisor."','".$this->data_hora."',0 ,'".$this->id_usuari_receptor."', '".$this->id_grup."', '".$this->id_tasca."', '".$this->id_esdeveniment."')");
			$id_usat=$connect->get_last_insert_id();

			return $id_usat;
			
		}
		
	}
	
	//mostrem dades de lusuari
	function mostrar_dades(){
		
		echo ("Dades missatge: ".$this->id." ".$this->missatge." ".$this->id_usuari_emisor." ".$this->data_hora." ".$this->eliminat." ".$this->id_usuari_receptor." ".$this->id_grup." ".$this->id_tasca);
		
	}
	
}
?>
