<?
/**
*    Codi clase I_tasca.php
*
*    @autor Jose Roig Torres
*
*    @tasca projecte de fi de carrera
*
*    @universitat Universitat Oberta de Catalunya
*
*    @area aplicacions web per treball col·laboratiu
*
*    @tema disseny i prototipatge d'un sistema d'esdeveniments per a dispositius mòbils de treball en grup
*/

//clase que contindra les variables de configuracio de la web
include_once('configuration.php');

class I_tasca {
	
	//variables de clase
	var $id;
	var $nom;
	var $data_inici;
	var $data_fi;
	var $id_prioritat;
	var $eliminat;
	
	//constructor
	function I_tasca(){

	}
	
	//carregar objecte mitjançant objecte mysql
	function carregar_dades_per_objecte_mysql($tasca){
		$this->id=$tasca->id;
		$this->nom=$tasca->nom;
		$this->data_inici=$tasca->data_inici;
		$this->data_fi=$tasca->data_fi;
		$this->id_prioritat=$tasca->id_prioritat;
		$this->eliminat=$tasca->eliminat;
	}
	
	//carregar objecte mitjançant id
	function carregar_dades_per_id($id){
		
		//busquem lusuari demanat
		$connect=new Db_connection();
		$connect->connect();
		$connect->set_query("SELECT * FROM tasca WHERE id='".$id."'");
		$llista=$connect->get_object_list();
		if(count($llista)>=1){
			//lusuari existeix
			$this->carregar_dades_per_objecte_mysql($llista[0]);

		}else{
			//usuari no existeix
		}

	}
	
	//guardam lusuari
	function guardar_dades(){
		
		//mirem si l'usuari diposa de id
		if(isset($this->id)){
			//tasca disposa de id

			//insertam lusuari en cas de que sigui posible
			$connect=new Db_connection();
			$connect->connect();
			$connect->set_query("INSERT IGNORE INTO tasca (id, nom, data_inici, data_fi, id_prioritat, eliminat) VALUES ('".$this->id."','".$this->nom."','".$this->data_inici."','".$this->data_fi."','".$this->id_prioritat."',0)");
			
			return $this->id;
			
		}else{
			//tasca no disposa de id
			
			//insertam lusuari en cas de que sigui posible
			$connect=new Db_connection();
			$connect->connect();
			$connect->set_query("INSERT IGNORE INTO tasca (nom, data_inici, data_fi, id_prioritat, eliminat) VALUES ('".$this->nom."','".$this->data_inici."','".$this->data_fi."','".$this->id_prioritat."',0)");
			$id_usat=$connect->get_last_insert_id();
			
			return $id_usat;
			
		}
		
	}
	
	//mostrem dades de lusuari
	function mostrar_dades(){
		
		echo ("Dades tasca: ".$this->id." ".$this->nom." ".$this->data_inici." ".$this->data_fi." ".$this->id_prioritat." ".$this->eliminat." ");
		
	}
	
}
?>
